Subject: Re: Maximum ioremap size for ppc arch?

From: Scott Wood <[email-masked]>
Date: Wed, 05 Dec 2007 11:50:40 -0600

Scott Wood wrote:
> [email-masked] wrote:
>> This seems to leave only 1GB of addressing space for all the
>> physically addressable memory (RAM + ioremapped + registers), while
>> reserving 3GB of space for user processes. The 3GB is presumably
>> mostly unusable on a system without a large amount of swap, as the
>> 1GB limit on memory will prevent much more than that being available
>> for user space.
> 
> Well, it's also useful for sparse mappings, but I agree that the 3/1 
> split is probably suboptimal for most workloads.

Oh, and the 3G user is also useful for accessing highmem, of course.

-Scott